/2025-07/retail-media/account-management/accounts/{accountId}/sellers
curl --request PUT \
--url https://api.criteo.com/2025-07/retail-media/account-management/accounts/{accountId}/sellers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"attributes": {
"retailerId": 123,
"sellerId": "<string>"
},
"type": "<string>"
}
]
}
'import requests
url = "https://api.criteo.com/2025-07/retail-media/account-management/accounts/{accountId}/sellers"
payload = { "data": [
{
"attributes": {
"retailerId": 123,
"sellerId": "<string>"
},
"type": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [{attributes: {retailerId: 123, sellerId: '<string>'}, type: '<string>'}]
})
};
fetch('https://api.criteo.com/2025-07/retail-media/account-management/accounts/{accountId}/sellers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"retailerId": 123,
"sellerId": "<string>"
},
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>"
}
]
}/2025-07/retail-media/account-management/accounts/{accountId}/sellers
Replace the sellers associated with an account
PUT
/
2025-07
/
retail-media
/
account-management
/
accounts
/
{accountId}
/
sellers
/2025-07/retail-media/account-management/accounts/{accountId}/sellers
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The given account id
Body
application/json
A top-level object that encapsulates a Criteo API request for several value objects.
Show child attributes
Show child attributes
Response
200 - application/json
Success
A top-level object that encapsulates a Criteo API response for several value objects.
Was this page helpful?
/2025-07/retail-media/account-management/accounts/{accountId}/private-market-child-accounts
Previous
/2025-07/retail-media/accounts
Next
⌘I